Loading...
Searching...
No Matches
casacore::ExpSincConv< T > Class Template Reference
scimath package (libcasa_scimath) » Mathematics_module

Exponential times a Sinc. More...

`#include <MathFunc.h>`

## Public Member Functions

| ExpSincConv (T cut=MathFunc< T >::defcutoff(), T sincparm=MathFunc< T >::defSincparm(), T exppow=MathFunc< T >::defExpPower(), T expscale=MathFunc< T >::defExpScale())
| default constructor
| ExpSincConv (const ExpSincConv< T > &)
| copy constructor
ExpSincConv< T > & | operator= (const ExpSincConv< T > &)
| assignment operator
T | sup_value () const
| get access to the support width
T | value (const T &) const
| and get the value of the function
FuncId | id () const
| return FuncID structure for Table storage/retrieval.
Public Member Functions inherited from casacore::MathFunc< T >
| MathFunc (FUNCTYPE)
| constructors
| MathFunc (FUNCTYPE, T cutoff, T arg1=1.0e+30, T arg2=1.0e+30, T arg3=1.0e+30)
| accept up to 4 arguments, the first being the support radius
| MathFunc (String &, Vector< double > &)
| MathFunc (const MathFunc< T > &)
| MathFunc (MathFunc< T > *)
virtual | ~MathFunc ()
| Destructor.
MathFunc< T > & | operator= (const MathFunc< T > &)
| Assignment operator - Note: this function works only for envelops.

## Private Member Functions

MathFunc< T > * | clone () const
| for every derived class, return new of that class with its own parameters

## Private Attributes

T | sup_width
T | scale
T | exponent
T | sincpByPi

## Additional Inherited Members

Static Public Member Functions inherited from casacore::MathFunc< T >
static MathFunc< T > * | newMathFunc (const MathFunc< T > &)
| create a new math function
static T | defcutoff ()
| These functions return the static constants used as default parameters for the various derived functions.
static T | defwidth ()
| The default width for Gaussian_Conv.
static T | defKBwidth ()
| The default width for KB_Conv and Mod_KB_Conv.
static T | defKBparm ()
| A default parameter for KB_Conv and Mod_KB_Conv.
static T | defmodKBparm ()
| A default parameter for Mod_KB_Conv.
static T | defSphcutoff ()
| The default support radius for Sinc_Conv and Sph_Conv.
static T | defSincparm ()
| The default Sinc parameter for Sinc_Conv and Exp_Sinc_Conv.
static T | defSphparm ()
| The default parameter for Sph_Conv.
static T | defExpPower ()
| The default exponential power for Exp_Sinc_Conv.
static T | defExpScale ()
| The default exponential scale length for Exp_Sinc_Conv.
Protected Member Functions inherited from casacore::MathFunc< T >
| MathFunc ()
| Default constructor (Null).
Protected Attributes inherited from casacore::MathFunc< T >
MathFunc< T > * | object
| pointer to letter class

## Detailed Description

template<class T>
class casacore::ExpSincConv< T >

Exponential times a Sinc.

### Synopsis

An Exponential times a Sinc

The value(T &x) is given by Exp(-(abs(x) / expscale) ** exppow) * Sinc(pi * x / sincparm)

where the 3 paramaters correspond to those in the default constructor Note that the default case of exppow = 2 is a Gaussian times a Sinc. Since this is often a useful case, that parameter appears last in the constructor.

Definition at line 503 of file MathFunc.h.

## Constructor & Destructor Documentation

## ExpSincConv() [1/2]

template<class T>

casacore::ExpSincConv< T >::ExpSincConv | ( | T | cut = MathFunc< T >::defcutoff(),
|  | T | sincparm = MathFunc< T >::defSincparm(),
|  | T | exppow = MathFunc< T >::defExpPower(),
|  | T | expscale = MathFunc< T >::defExpScale() )

default constructor

References casacore::MathFunc< T >::defcutoff(), casacore::MathFunc< T >::defExpPower(), casacore::MathFunc< T >::defExpScale(), and casacore::MathFunc< T >::defSincparm().

Referenced by ExpSincConv(), and operator=().

## ExpSincConv() [2/2]

template<class T>

casacore::ExpSincConv< T >::ExpSincConv | ( | const ExpSincConv< T > & |  | ) |

copy constructor

References ExpSincConv().

## Member Function Documentation

## clone()

template<class T>

MathFunc< T > * casacore::ExpSincConv< T >::clone | ( |  | ) | const

private virtual

for every derived class, return new of that class with its own parameters

Reimplemented from casacore::MathFunc< T >.

References casacore::MathFunc< T >::MathFunc().

## id()

template<class T>

FuncId casacore::ExpSincConv< T >::id | ( |  | ) | const

virtual

return FuncID structure for Table storage/retrieval.

Reimplemented from casacore::MathFunc< T >.

## operator=()

template<class T>

ExpSincConv< T > & casacore::ExpSincConv< T >::operator= | ( | const ExpSincConv< T > & |  | ) |

assignment operator

References ExpSincConv().

## sup_value()

template<class T>

T casacore::ExpSincConv< T >::sup_value | ( |  | ) | const

inline virtual

get access to the support width

Reimplemented from casacore::MathFunc< T >.

Definition at line 520 of file MathFunc.h.

References sup_width.

## value()

template<class T>

T casacore::ExpSincConv< T >::value | ( | const T & |  | ) | const

virtual

and get the value of the function

Reimplemented from casacore::MathFunc< T >.

## Member Data Documentation

## exponent

template<class T>

T casacore::ExpSincConv< T >::exponent

private

Definition at line 532 of file MathFunc.h.

## scale

template<class T>

T casacore::ExpSincConv< T >::scale

private

Definition at line 532 of file MathFunc.h.

## sincpByPi

template<class T>

T casacore::ExpSincConv< T >::sincpByPi

private

Definition at line 532 of file MathFunc.h.

## sup_width

template<class T>

T casacore::ExpSincConv< T >::sup_width

private

Definition at line 532 of file MathFunc.h.

Referenced by sup_value().

The documentation for this class was generated from the following file:

- scimath/Mathematics/MathFunc.h